diff --git a/tests/p_setup/shells_file_test.sh b/tests/p_setup/shells_file_test.sh
new file mode 100755
index 0000000..64eb742
--- /dev/null
+++ b/tests/p_setup/shells_file_test.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - shells file sanity check."
+
+grep -q 'bash' /etc/shells && \
+grep -q 'nologin' /etc/shells
+
+
+t_CheckExitStatus $?